for(1)

NAME
for - for - perform a set of commands multiple times.

for - perform a set of commands multiple times.

  Synopsis
for VARNAME in [VALUES...]; COMMANDS...; end

  Description
for is a loop construct. It will perform the commands specified by COMMANDS multiple times. On each iteration, the environment variable specified by VARNAME is assigned a new value from VALUES. If VALUES is empty, COMMANDS will not be executed at all.

  Example
The command

for i in foo bar baz; echo $i; end

would output:

foo
bar
baz